Name:		exempi
Version:	2.4.5
Release:	4
Summary:	Exempi is an implementation of XMP (Adobe's Extensible Metadata Platform)
License:	BSD
URL:		https://wiki.freedesktop.org/libopenraw/Exempi/
Source0:	http://libopenraw.freedesktop.org/download/%{name}-%{version}.tar.bz2

Patch6000:	CVE-2018-12648-Issue-9-Fix-null-pointer-dereference-CVE-2018-12648.patch

BuildRequires:	gcc-c++ autoconf automake libtool
BuildRequires:	boost-devel expat-devel zlib-devel pkgconfig
Provides:	bundled(md5-polstra)

%description
Exempi is an implementation of XMP.
Version 2.x is based on Adobe XMP SDK and released under a BSD-style license like Adobe's.

%package devel
Summary:	exempi's development files
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
this package provides development files, including headers and libraries.

%package help
Summary:	Help information for user

%description help
Help information for user

%prep
%autosetup -n exempi-2.4.5 -p1

%build
libtoolize -vi
./autogen.sh
%configure CPPFLAGS="-I%{_includedir} -fno-strict-aliasing -DBanAllEntityUsage=1"
# Disable rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build

%check
make check

%install
%make_install

%files
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/*.so.*
%{_bindir}/exempi

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/exempi-2.0/
%exclude %{_libdir}/*.a
%exclude %{_libdir}/*.la

%files help
%{_mandir}/man1/exempi.1*

%changelog
* Fri Sep 06 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.4.5-4
- Package init
